Bug 173355 - [MAINTAINER] games/black-box: Makefile changed, added Desktop entries, icons
[MAINTAINER] games/black-box: Makefile changed, added Desktop entries, icons
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: beech
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-04 06:50 UTC by nemysis
Modified: 2013-03-12 23:30 UTC (History)
1 user (show)

See Also:


Attachments
black-box-1.4.8_1.patch (1.78 KB, patch)
2012-11-04 06:50 UTC, nemysis
no flags Details | Diff
black-box.diff (3.09 KB, patch)
2012-11-04 13:08 UTC, nemysis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2012-11-04 06:50:00 UTC
Makefile changed:
+		SF/nemysisfreebsdp/:icons
+		${PORTNAME}.png:icons
+PLIST_FILES=
+DESKTOP_ENTRIES=

Changed and refined
 post-install:

Generated with FreeBSD Port Tools 0.99_6 (mode: change, diff: ports)
Comment 1 nemysis 2012-11-04 13:08:51 UTC
Added pkg-plist
Comment 2 beech freebsd_committer 2013-03-12 22:48:25 UTC
Responsible Changed
From-To: freebsd-ports-bugs->beech

Mine
Comment 3 dfilter freebsd_committer 2013-03-12 23:26:28 UTC
Author: beech
Date: Tue Mar 12 23:26:14 2013
New Revision: 314007
URL: http://svnweb.freebsd.org/changeset/ports/314007

Log:
  - Makefile tweaks
  - Add Desktop entries, icons, removed all Notes
  - Shorten header
  - Bump portrevision
  
  PR:		ports/173355
  Submitted by:	nemysis <nemysis@gmx.ch> (maintainer)

Added:
  head/games/black-box/pkg-plist   (contents, props changed)
Modified:
  head/games/black-box/Makefile
  head/games/black-box/distinfo   (contents, props changed)

Modified: head/games/black-box/Makefile
==============================================================================
--- head/games/black-box/Makefile	Tue Mar 12 22:54:45 2013	(r314006)
+++ head/games/black-box/Makefile	Tue Mar 12 23:26:14 2013	(r314007)
@@ -1,14 +1,16 @@
-# New Ports collection makefile for:    black-box
-# Date created:         2012-04-27
-# Whom:                 nemysis@gmx.ch
-#
+# Created By: nemysis@gmx.ch
 # $FreeBSD$
-#
 
 PORTNAME=	black-box
 PORTVERSION=	1.4.8
+PORTREVISION=	1
 CATEGORIES=	games
-MASTER_SITES=	http://www.linux-games.com/black-box/
+MASTER_SITES=	http://www.linux-games.com/black-box/ \
+		SF/nemysisfreebsdp/:icons
+DISTFILES=	${PORTNAME}-${DISTVERSION}${EXTRACT_SUFX} \
+		${PORTNAME}.png:icons
+DIST_SUBDIR=	${PORTNAME}
+EXTRACT_ONLY=	${PORTNAME}-${DISTVERSION}${EXTRACT_SUFX}
 
 MAINTAINER=	nemysis@gmx.ch
 COMMENT=	Shoot in and watch where the shot leaves the box
@@ -19,19 +21,19 @@ GNU_CONFIGURE=	yes
 USE_SDL=	sdl image mixer
 MAKE_JOBS_SAFE=	yes
 
-PLIST_FILES=	bin/${PORTNAME}
-
-PORTDATA=	*
 PORTDOCS=	AUTHORS ChangeLog INSTALL NEWS README
 
+DESKTOP_ENTRIES="Black-Box" "${COMMENT}" "${PORTNAME}" \
+		"${PORTNAME}" "Game;ArcadeGame;" ${FALSE}
+
 .include <bsd.port.options.mk>
 
 post-install:
+	${INSTALL_DATA} ${DISTDIR}/${DIST_SUBDIR}/${PORTNAME}.png ${PREFIX}/share/pixmaps
+
 .if ${PORT_OPTIONS:MDOCS}
 	${MKDIR} ${DOCSDIR}
-.  for f in ${PORTDOCS}
-	${INSTALL_DATA} ${WRKSRC}/${f} ${DOCSDIR}
-.  endfor
+	${INSTALL_DATA} ${PORTDOCS:S|^|${WRKSRC}/|} ${DOCSDIR}
 .endif
 
 .include <bsd.port.mk>

Modified: head/games/black-box/distinfo
==============================================================================
--- head/games/black-box/distinfo	Tue Mar 12 22:54:45 2013	(r314006)
+++ head/games/black-box/distinfo	Tue Mar 12 23:26:14 2013	(r314007)
@@ -1,2 +1,4 @@
-SHA256 (black-box-1.4.8.tar.gz) = 9cf6a31a96e487c86973a4fe4603ed16709b6196de872d34f8df785c809b73bd
-SIZE (black-box-1.4.8.tar.gz) = 359256
+SHA256 (black-box/black-box-1.4.8.tar.gz) = 9cf6a31a96e487c86973a4fe4603ed16709b6196de872d34f8df785c809b73bd
+SIZE (black-box/black-box-1.4.8.tar.gz) = 359256
+SHA256 (black-box/black-box.png) = 0d19636212b74e847600841ae66b3c769a4c999d75237192bb78455004d6be16
+SIZE (black-box/black-box.png) = 5223

Added: head/games/black-box/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/black-box/pkg-plist	Tue Mar 12 23:26:14 2013	(r314007)
@@ -0,0 +1,35 @@
+bin/black-box
+%%DATADIR%%/gfx/box.gif
+%%DATADIR%%/gfx/demo1.gif
+%%DATADIR%%/gfx/demo2.gif
+%%DATADIR%%/gfx/demo3.gif
+%%DATADIR%%/gfx/demo4.gif
+%%DATADIR%%/gfx/demo5.gif
+%%DATADIR%%/gfx/demo6.gif
+%%DATADIR%%/gfx/demo7.gif
+%%DATADIR%%/gfx/demo8.gif
+%%DATADIR%%/gfx/edge1.gif
+%%DATADIR%%/gfx/edge1red.gif
+%%DATADIR%%/gfx/edge2.gif
+%%DATADIR%%/gfx/edge2red.gif
+%%DATADIR%%/gfx/edge3.gif
+%%DATADIR%%/gfx/edge3red.gif
+%%DATADIR%%/gfx/edge4.gif
+%%DATADIR%%/gfx/font.png
+%%DATADIR%%/gfx/giveup.gif
+%%DATADIR%%/gfx/help.gif
+%%DATADIR%%/gfx/light.gif
+%%DATADIR%%/gfx/mouse.gif
+%%DATADIR%%/gfx/new.gif
+%%DATADIR%%/gfx/next.gif
+%%DATADIR%%/gfx/ok.gif
+%%DATADIR%%/gfx/prev.gif
+%%DATADIR%%/gfx/quit.gif
+%%DATADIR%%/gfx/real.gif
+%%DATADIR%%/gfx/think.gif
+%%DATADIR%%/gfx/won.png
+%%DATADIR%%/sound/ein1.mod
+share/pixmaps/black-box.png
+@dirrm %%DATADIR%%/sound
+@dirrm %%DATADIR%%/gfx
+@dirrm %%DATADIR%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 beech freebsd_committer 2013-03-12 23:26:36 UTC
State Changed
From-To: open->closed

ommitted, Thanks!